<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link rel="stylesheet" href="../assets/css/salesOrder.css"> 
    <link rel = "icon" href = "../assets/image/Manila Bay Thread Icon.png">
    
    <script language="javascript" type="text/javascript">
        function enterToTab(e) {
            var intKey = window.Event ? e.which : e.KeyCode;
            
            if(intKey == 13){
                e.returnValue = false;   
            }   
        }
    </script>

    <title>Customer Portal</title>
</head>
<body onkeydown="enterToTab(event);">
    <nav id="navBar">
        <img id="navBarIcon" src="../assets/image/Manila Bay Threads Logo.png">
        <div id="userMenuNav">
        </div> 
    </nav>

    <h1 class="pageHeader">Create Sales Order</h1>

    <form id="salesOrderCreationForm">
        <div id="buttonRow"></div>

        <!-- Account Info Start -->
        <div id="customerHeader" class="text-center">
        <div></div>
        <h5>Account Information</h5>    
        <button type="button" id="toggleCustomerHeader">Hide</button>
       </div>    

        <div id="salesOrderHeader">
        </div>


        <!-- Sales Order Header Start -->
        <div id="itemBanner">
            <button id="rapidButton">Rapid Data Entry</button>
            <h5 id="itemHeader">Sales Quote Details</h5>
        </div>
        <!-- Sales Order Header End -->

        <!-- Sales Order Details Start -->
        <div>
            <table class="table">
                <thead>
                    <tr>
                        <th style="width: 5.8vw;" class="text-center">No.</th>
                        <th style="width: 5.8vw;" class="text-center">Category ID</th>
                        <th style="width: 5.8vw;" class="text-center">Config ID</th>  
                        <th style="width: 5.8vw;" class="text-center">Product ID</th>
                        <th style="width: 5.8vw;" class="text-center">Description</th>
                        <th style="width: 5.8vw;" class="text-center">Stock</th>
                        <th style="width: 5.8vw;" class="text-center">L.T.</th>  
                        <th style="width: 5.8vw;" class="text-center">C.E.C.</th>            
                        <th style="width: 5.8vw;" class="text-center">Quantity</th>
                        <th style="width: 5.8vw;" class="text-center">U.O.M.</th>
                        <th style="width: 5.8vw;" class="text-center">List Price</th>
                        <th style="width: 5.8vw;" class="text-center">Discount</th>
                        <th style="width: 5.8vw;" class="text-center">Net Price</th>
                        <th style="width: 5.8vw;" class="text-center">Net Value</th>
                        <th style="width: 5.8vw;" class="text-center">Tax</th>                        
                        <th style="width: 5.8vw;" class="text-center">Total</th>
                        <th style="width: 5.8vw;" class="text-center">Action</th>
                    </tr>
                </thead>
                <tbody id="productTableContainer"></tbody>
                <tbody>  
                    <tr>
                        <td class="text-center">New</td>
                        <td>
                            <input type="text" list="productCategories" id="productCategory" readonly autocomplete="off">
                            <datalist id="productCategories"></datalist>
                        </td>
                        <td>
                            <input type="text" list="configIds" id="configId" readonly autocomplete="off">
                            <datalist id="configIds"></datalist>
                        </td>
                        <td><input type="text" id="productId" readonly></td>
                        <td><input type="text" id="productDescription" readonly></td>
                        <td><input type="text" id="stockQuantity" readonly></td>
                        <td><input type="text" id="leadTime" readonly></td>
                        <td><input type="text" id="partNumber" readonly></td>
                        <td><input type="number" id="quantity" readonly min="1"></td> 
                        <td>
                            <input type="text" list="uoms" id="uom" disabled>
                        </td>
                        <td><input type="text" id="listPrice" readonly></td>
                        <td><input type="number" id="discount" min="1" readonly autocomplete="off"></td>
                        <td><input type="text" id="netPrice" readonly></td>
                        <td><input type="text" id="netValue" readonly></td>
                        <td><input type="text" id="taxAmount" readonly></td>
                        <td><input type="text" id="totalPerLine" readonly></td>
                        <td><button class="crudButton" id="addItems">Add
                                </button>
                            </div>
                        </td>
                    </tr>
                </tbody>
                <tfoot>
                    <tr>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th></th>
                        <th class="text-center">Total Net Value:</th>
                        <th class="text-center">Total Tax Amount:</th>
                        <th class="text-center">Total Amount:</th>
                        <th></th>
                    </tr>
                    <tr>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <th></th>
                        <td><input type="text" value="" id="totalNetValue" name="itemstotalNetValue" readonly></td>
                        <td><input type="text" value="" id="totalTaxAmount" name="itemstotalTaxAmount" readonly></td>
                        <td><input type="text" value="" id="itemstotalAmount" name="itemstotalAmount" readonly></td>
                        <td></td>
                    </tr>
                </tfoot>
            </table>
        </div>
        <!-- Sales Order Details End -->
    </form>

    <!-- Accept or Reject Modal -->
    <div class="modal fade" id="acceptOrRejectModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Ordered Quantity is less than Minimum Order Quantity <span id="moqQty"></span>.</h5>
                    <button type="button" class="close" id="closeAcceptOrRejectModalButton" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body mx-auto">
                    <button type="button" id="acceptModalButton" class="btn btn-primary">Accept</button>
                    <button type="button" id="rejectModalButton" class="btn btn-primary">Reject</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Upload File Modal -->
    <div class="modal fade" id="uploadFileModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Upload File:</h5>
                    <button type="button" class="close" id="uploadFileModalCloseButton" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body mx-auto">
                    <input type="file" id="fileInput" hidden="hidden" accept=".xls,.xlsx">
                    <button type="button" id="chooseFileButton">Choose a File</button>
                    <span id="fileName">No File Chosen</span>
                </div>
                <div class="modal-footer">
                    <button type="button" id="uploadFileButton" class="btn btn-primary">Upload</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Rapid Entry Modal -->
    <div class="modal" id="rapidEntryModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLongTitle">Rapid Data Entry: </h5>
                <input type="text" list="productCategoriesModal" id="categoryIdModal" class="text-center dataField form-control">
                <datalist id="productCategoriesModal"></datalist>
                <button type="button" class="close" id="rapidEntryModalCloseButton" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <table>
                    <thead>
                        <tr>
                            <th style="width: 15rem;" class="text-center modalTableHeader">Product ID</th>
                            <th style="width: 15rem;" class="text-center modalTableHeader">Stocks</th>
                            <th style="width: 15rem;" class="text-center modalTableHeader">Quantity</th>
                            <th style="width: 15rem;" class="text-center modalTableHeader">Select</th>
                        </tr>
                    </thead>
                    <tbody id="configIdTable"></tbody>
                </table>
            </div>
            <div class="modal-footer">
                <button type="button" id="addItemsModal" class="btn btn-primary">Add Items</button>
            </div>
        </div>
        </div>
    </div>

    <div id="myimgdivshowhide">
        <img src="../assets/image/loading.gif" alt="Loading..." id="loadingGif"/>
    </div>

    <script src="/assets/js/navBar.js"></script>
    <script src="/assets/js/salesOrderCreation.js"></script>
</body>
<footer class="footer">
</footer>
<script src="/assets/js/footer.js"></script>
</html>